From 6a48f5666b7cc24e991509366570592136c277a5 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@hadrons.org>
Date: Sun, 5 Mar 2023 18:47:30 +0100
Subject: [PATCH] Do not prevent using mail(1) from non-root

Closes: #1032387
---
 debian/aide-common.README.Debian | 10 +---------
 debian/bin/dailyaidecheck        |  9 ++-------
 2 files changed, 3 insertions(+), 16 deletions(-)

diff --git a/debian/aide-common.README.Debian b/debian/aide-common.README.Debian
index b7a8ef8..a2a7d66 100644
--- a/debian/aide-common.README.Debian
+++ b/debian/aide-common.README.Debian
@@ -125,9 +125,6 @@ If neither is the case, aide runs as root. A non-root aide is
 augmented with the cap_dac_read_search capability which allows the
 non-root user to read anywhere.
 
-Running aide as non-root also affects the daily aide check to send out
-mail. See below for details.
-
 A significant part of the shell scripts that surround the aide calls
 in Debian will still run as root.  Patches accepted.
 
@@ -224,12 +221,7 @@ if systemd is used or is sent via e-mail by the cron daemon). Set
 SILENTREPORTS=yes to confirm that you really want the daily aide check
 to be silent. Logs are written in either case.
 
-Some implementations of mail(1) use /usr/lib/sendmail to deliver the
-outgoing message. /usr/lib/sendmail is suid root with some MTAs, and
-this way of privilege escalation is not available when the daily aide
-job is invoked as non-root user.
-
-Hence, the script prefers using s-nail to send out the message via
+The script prefers using s-nail to send out the message via
 SMTP to localhost. A working MTA is expected on localhost. With
 s-nail, an unqualified recipient address is qualified with the
 contents of /etc/mailname to make it acceptable over SMTP.
diff --git a/debian/bin/dailyaidecheck b/debian/bin/dailyaidecheck
index b5b2ac7..f24e9b9 100755
--- a/debian/bin/dailyaidecheck
+++ b/debian/bin/dailyaidecheck
@@ -118,13 +118,8 @@ elif command -v s-nail >/dev/null; then
         MAILTO="${MAILTO}@${MAILNAME:-localhost}"
     fi
 elif command -v mail >/dev/null; then
-    if [ "$(id -u)" -eq 0 ]; then
-        # we have root and mail(1) is useable
-        MAILCMD="mail"
-    else
-        MAILCMD="true"
-        printf >&2 "WARN: it is not possible to use mail(1) unless aide is run as root\n"
-    fi
+    # we use mail(1)
+    MAILCMD="mail"
 else
     MAILCMD="true"
     printf >&2 "WARN: mail or s-nail not installed, cannot send mail\n"
-- 
2.39.2

